summaryrefslogtreecommitdiffstats
path: root/system/pcp-gui
diff options
context:
space:
mode:
author Roman Revyakin2010-05-13 01:01:01 +0200
committer Robby Workman2010-05-13 01:01:01 +0200
commitb00e3b5c0617c687b4ddb17eb501a2edcd7b2221 (patch)
treeb1b2a38c98083daba772db490bef063687494e47 /system/pcp-gui
parent5f1f9ed0d2edad093b3afe4e5d1a69e6a3675674 (diff)
downloadslackbuilds-b00e3b5c0617c687b4ddb17eb501a2edcd7b2221.tar.gz
system/pcp-gui: Added to 13.0 repository
Diffstat (limited to 'system/pcp-gui')
-rw-r--r--system/pcp-gui/README6
-rw-r--r--system/pcp-gui/doinst.sh4
-rw-r--r--system/pcp-gui/pcp-gui.SlackBuild79
-rw-r--r--system/pcp-gui/pcp-gui.info10
-rw-r--r--system/pcp-gui/slack-desc19
5 files changed, 118 insertions, 0 deletions
diff --git a/system/pcp-gui/README b/system/pcp-gui/README
new file mode 100644
index 0000000000..21300db1c0
--- /dev/null
+++ b/system/pcp-gui/README
@@ -0,0 +1,6 @@
+PCP-Gui (Performance Co-Pilot Visualisation)
+
+The PCP GUI package primarily includes visualisation tools for monitoring
+systems using live and archived Performance Co-Pilot sources. Its purpose
+is to provide pmchart, pmtime, pmview and any other graphical tools that
+form part of the PCP monitoring infrastructure.
diff --git a/system/pcp-gui/doinst.sh b/system/pcp-gui/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/system/pcp-gui/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/system/pcp-gui/pcp-gui.SlackBuild b/system/pcp-gui/pcp-gui.SlackBuild
new file mode 100644
index 0000000000..3732b47800
--- /dev/null
+++ b/system/pcp-gui/pcp-gui.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for pcp-gui
+
+# Roman Revyakin <rrevyakin@aconex.com>
+# ver 1.0 2009-10-05
+
+PRGNAM=pcp-gui
+VERSION=1.4.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.src.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+autoconf
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var/lib/pcp \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --build=$ARCH-slackware-linux
+
+make
+make install DIST_ROOT="$PKG"
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd "$PKG/usr/man"
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mv $PKG/usr/share/doc $PKG/usr
+mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+# Create a symlink because some parts of pcp-gui expect the unversioned dir
+( cd $PKG/usr/doc ; ln -s $PRGNAM-$VERSION $PRGNAM )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/pcp-gui/pcp-gui.info b/system/pcp-gui/pcp-gui.info
new file mode 100644
index 0000000000..3c4205644a
--- /dev/null
+++ b/system/pcp-gui/pcp-gui.info
@@ -0,0 +1,10 @@
+PRGNAM="pcp-gui"
+VERSION="1.4.5"
+HOMEPAGE="http://oss.sgi.com/projects/pcp/pcp-gui.html"
+DOWNLOAD="ftp://oss.sgi.com/www/projects/pcp/download/pcp-gui-1.4.5.src.tar.gz"
+MD5SUM="7a9789fb1c561fa0f31a06202d270aa3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Roman Revyakin"
+EMAIL="rrevyakin@aconex.com"
+APPROVED="rworkman"
diff --git a/system/pcp-gui/slack-desc b/system/pcp-gui/slack-desc
new file mode 100644
index 0000000000..f31ec0bfc5
--- /dev/null
+++ b/system/pcp-gui/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pcp-gui: PCP-Gui (Performance Co-Pilot Visualisation)
+pcp-gui:
+pcp-gui: The PCP GUI package primarily includes visualisation tools for
+pcp-gui: monitoring systems using live and archived Performance Co-Pilot
+pcp-gui: sources. Its purpose is to provide pmchart, pmtime, pmview and any
+pcp-gui: other graphical tools that form part of the PCP monitoring
+pcp-gui: infrastructure.
+pcp-gui:
+pcp-gui:
+pcp-gui:
+pcp-gui: